BandaAncha.eu

Comunidad de usuarios
de fibra, móvil y ADSL

Instalación fallida desde Synaptic

Nippur

Estaba haciendo una cosa tan simple como marcar el paquete unrar para instalar, le doy y falló.

Desde ese momento tengo un signo de prohibición en la bandeja de sistema y un mensaje al intentar abrir synaptic o el gestor de actualizaciones:

E: Encountered a section with no Package: header

E: Problem with MergeList /var/lib/dpkg/status

E: Las listas de paquetes o el archivo de estado no se pueden analizar sintácticamente o abrir.
E: _cache->open() failed, please report.

Es la primera vez que me pasa esto.¿cómo puedo reparar el gestor/synaptic?

Gracias :-/

campi

Has probado a actualizar las fuentes/repositorios? Tal vez uno este caido...

🗨️ 2
Nippur

Acabo de probar esto:

$ sudo apt-get -f install

Leyendo lista de paquetes... ¡Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: No se pudieron analizar o abrir las listas de paquetes o el archivo de estado

🗨️ 1
campi

creo que con un sudo aptitude update o un sudo apt-get update deberia ser suficiente... Si no prueba lo que te comenta superllo.

superllo

Aquí dice que vuelvas a intentarlo y si no lo consigues que hagas, desde una consola (Aplicaciones - Accesorios - Terminal):

sudo dpkg --configure -a
sudo apt-get update
sudo apt-get upgrade

Poniendo tu contraseña de administrador.

🗨️ 14
Nippur

$ sudo dpkg --configure -a

[sudo] password for :

dpkg: error en el análisis, en archivo «/var/lib/dpkg/status» línea cercana 15147 paquete «libhtml-tree-perl»:

campo `Conflicts', nombre de paquete inválido

Parece que ha fallado. :(

🗨️ 13
superllo

No veo una solución sencilla, prueba a reinstalar el paquete libhtml-tree-perl desde Synaptic o desde la consola con "sudo aptitude reinstall libhtml-tree-perl".

🗨️ 2
Nippur

$ sudo aptitude reinstall libhtml-tree-perl

[sudo] password for :

Leyendo lista de paquetes... ¡Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: No se pudo abrir o interpretar las listas de paquetes o el fichero de estado.
Leyendo lista de paquetes... ¡Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: No se pudo abrir o interpretar las listas de paquetes o el fichero de estado.

No comprendo cómo puede haberse producido un error tan grave al instalar un simple paquete como unrar.

La verdad es que pensaba que estas cosas no pasaban fácilmente en Ubuntu.

Llevo toda la mañana buscando info y probando comandos que no han podido solucionar el fallo.A ver si con otra distro sencillita se me da mejor la cosa :-/

Para principiante qué tal PcLinux? ¿sabeis si da menos fallos KDE?

Gracias por la ayuda ;)

🗨️ 1
BocaDePez
BocaDePez

No estaría de más abrir con un editor el fichero /var/lib/dpkg/status a ver qué sucede alrededor de la línea 15147 :D

Es posible que esté corrompido.

🗨️ 9
Nippur

Nada superflo :(

Me estoy bajando el PcLOS Gnome, a ver si el livecd va bien y hago una instalación limpia con ese ;)

Descargados 12,9MB en 21s (614kB/s)

Leyendo lista de paquetes... ¡Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: No se pudieron analizar o abrir las listas de paquetes o el archivo de estado

🗨️ 8
superllo
🗨️ 7
Nippur
🗨️ 6
Nippur
🗨️ 5
superllo
1
🗨️ 4
BocaDePez
BocaDePez
🗨️ 1
idegb2
🗨️ 1